Subject: Re: softirq warnings when calling dev_kfree_skb_irq - bug in conntrack?

From: Jeremy Fitzhardinge <[email-masked]>
Date: Tue, 03 Aug 2010 08:24:52 -0700

On 08/03/2010 12:23 AM, David Miller wrote:
> From: Johannes Berg<[email-masked]>
> Date: Tue, 03 Aug 2010 09:04:34 +0200
>
>> I had this too:
>> http://article.gmane.org/gmane.linux.network/167590
>>
>> But I'm not convinced it's conntrack, I'd think it's
>>
>> commit 15e83ed78864d0625e87a85f09b297c0919a4797
>> Author: Eric Dumazet<[email-masked]>
>> Date:   Wed May 19 23:16:03 2010 +0000
>>
>>      net: remove zap_completion_queue
>>
>> which, from the looks of it, ought to be reverted because it failed to
>> take into account that dev_kfree_skb() can do more things that require
>> non-irq-context than just calling skb->destructor, like for instance the
>> conntrack thing we see here.
> Agreed.  I'll revert this and queue that up for 2.6.35-stable
>

FWIW I only see this in linux-next, not released 2.6.35.  But it does 
look like a likely root cause.

     J